
<table class="table" >
    {% if data.content.length %}
        <thead>
            {% for headers in data.header %}
                <tr class="col">
                    {% for header in headers %}
                        <th class="text-center" style="border: 1px solid;"
                        {% if header.colspan %}
                        colspan="{{header.colspan}}" 
                        {% endif %}
                        {% if header.rowspan %}
                        rowspan="{{header.rowspan}}"
                        {% endif %}
                        >{{ header.name }}</th>
                    {% endfor %}
                </tr>
            {% endfor %}

            <!-- <tr>
                <th colspan="0" rowspan="3">col 1</th>
                <th colspan="3" rowspan="0">col 2</th>
                <th colspan="2" rowspan="0">col 3</th>
            </tr>
            <tr>
                <th colspan="2">col 2.1</th>
                <th colspan="0">col 2.2</th>
                <th colspan="2">col 3</th>
            </tr>
            <tr>
                <th colspan="0">col 2.1.1</th>
                <th colspan="0">col 2.1.2</th>
                <th colspan="0">col 2.2.1</th>
                <th colspan="0">col 3.1</th>
                <th colspan="0">col 3.2</th>
            </tr> -->
        </thead>
        <tbody>
            
            {% for contents in data.content %}
                <tr class="col">
                    {% for content in contents %}
                        <td style="border: 1px solid;">{{ content }}</td>
                        
                    {% endfor %}
                </tr>
            {% endfor %}
        </tbody>
       
        
    {% else %}
    <tbody><tr><td class="text-center">
        No Data
    </td></tr></tbody>
    
    {% endif %}
    {% if data.content.length %}
        <tfoot>
            <tr class="col">
                <td class="text-center" style="border: 1px solid;" colspan="2"> 
                    Total
                </td>
                {% for footone in data.footer.footone %}
                    <td style="border: 1px solid;">{{footone}}</td>
                {% endfor %}
            </tr>
            <tr class="col">
                <td class="text-center" style="border: 1px solid;" colspan="2"> 
                    Percentage
                </td>
                {% for foottwo in data.footer.foottwo %}
                    <td style="border: 1px solid;">{{ foottwo }}%</td>
                {% endfor %}
            </tr>
        </tfoot>
    {% endif %}
</table>
